//-----------------------------------------------------------------------------
//
// Copyright(C) 2012 David Hill
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//
//-----------------------------------------------------------------------------
//
// Doom spawn number definitions.
//
// Identifiers beginning with T_ followed by a capital letter are reserved for
// use by this header.
//
//-----------------------------------------------------------------------------

#ifndef __HEADER__T_DOOM_H__
#define __HEADER__T_DOOM_H__


//----------------------------------------------------------------------------|
// Macros                                                                     |
//

#define T_NONE                 0
#define T_SHOTGUY              1
#define T_CHAINGUY             2
#define T_BARON                3
#define T_ZOMBIE               4
#define T_IMP                  5
#define T_ARACHNOTRON          6
#define T_SPIDERMASTERMIND     7
#define T_DEMON                8
#define T_SPECTRE              9
#define T_IMPFIREBALL         10
#define T_CLIP                11
#define T_SHELLS              12
#define T_CACODEMON           19
#define T_REVENANT            20
#define T_BRIDGE              21
#define T_ARMORBONUS          22
#define T_STIMPACK            23
#define T_MEDKIT              24
#define T_SOULSPHERE          25
#define T_SHOTGUN             27
#define T_CHAINGUN            28
#define T_ROCKETLAUNCHER      29
#define T_PLASMAGUN           30
#define T_BFG                 31
#define T_CHAINSAW            32
#define T_SUPERSHOTGUN        33

#define T_ROCK1               41
#define T_ROCK2               42
#define T_ROCK3               43
#define T_DIRT1               44
#define T_DIRT2               45
#define T_DIRT3               46
#define T_DIRT4               47
#define T_DIRT5               48
#define T_DIRT6               49

#define T_PLASMABOLT          51
#define T_TRACER              53
#define T_STAINEDGLASS1       54
#define T_STAINEDGLASS2       55
#define T_STAINEDGLASS3       56
#define T_STAINEDGLASS4       57
#define T_STAINEDGLASS5       58
#define T_STAINEDGLASS6       59
#define T_STAINEDGLASS7       60
#define T_STAINEDGLASS8       61
#define T_STAINEDGLASS9       62
#define T_STAINEDGLASS0       63

#define T_GREENARMOR          68
#define T_BLUEARMOR           69

#define T_CELL                75

#define T_BLUEKEYCARD         85
#define T_REDKEYCARD          86
#define T_YELLOWKEYCARD       87
#define T_YELLOWSKULLKEY      88
#define T_REDSKULLKEY         89
#define T_BLUESKULLKEY        90

#define T_TEMPLARGEFLAME      98

#define T_STEALTHBARON       100
#define T_STEALTHKNIGHT      101
#define T_STEALTHZOMBIE      102
#define T_STEALTHSHOTGUY     103

#define T_LOSTSOUL           110
#define T_VILE               111
#define T_MANCUBUS           112
#define T_HELLKNIGHT         113
#define T_CYBERDEMON         114
#define T_PAINELEMENTAL      115
#define T_WOLFSS             116
#define T_STEALTHARACHNOTRON 117
#define T_STEALTHVILE        118
#define T_STEALTHCACODEMON   119
#define T_STEALTHCHAINGUY    120
#define T_STEALTHSERGEANT    121
#define T_STEALTHIMP         122
#define T_STEALTHMANCUBUS    123
#define T_STEALTHREVENANT    124
#define T_BARREL             125
#define T_CACODEMONSHOT      126
#define T_ROCKET             127
#define T_BFGSHOT            128
#define T_ARACHNOTRONPLASMA  129
#define T_BLOOD              130
#define T_PUFF               131
#define T_MEGASPHERE         132
#define T_INVULNERABILITY    133
#define T_BERSERK            134
#define T_INVISIBILITY       135
#define T_IRONFEET           136
#define T_COMPUTERMAP        137
#define T_LIGHTAMP           138
#define T_AMMOBOX            139
#define T_ROCKETAMMO         140
#define T_ROCKETBOX          141
#define T_BATTERY            142
#define T_SHELLBOX           143
#define T_BACKPACK           144
#define T_GUTS               145
#define T_BLOODPOOL          146
#define T_BLOODPOOL1         147
#define T_BLOODPOOL2         148
#define T_FLAMINGBARREL      149
#define T_BRAINS             150
#define T_SCRIPTEDMARINE     151
#define T_HEALTHBONUS        152
#define T_MANCUBUSSHOT       153
#define T_BARONBALL          154

#endif//__HEADER__T_DOOM_H__

