//-----------------------------------------------------------------------------
//
// Copyright(C) 2012 David Hill
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//
//-----------------------------------------------------------------------------
//
// Hexen spawn number definitions.
//
// Identifiers beginning with T_ followed by a capital letter are reserved for
// use by this header.
//
//-----------------------------------------------------------------------------

#ifndef __HEADER__T_HEXEN_H__
#define __HEADER__T_HEXEN_H__


//----------------------------------------------------------------------------|
// Macros                                                                     |
//

#define T_NONE                0
#define T_CENTAUR             1
#define T_CENTAURLEADER       2
#define T_DEMON               3
#define T_DEMON1              3 // ZDoom alternate name.
#define T_ETTIN               4
#define T_FIREGARGOYLE        5
#define T_WATERLURKER         6
#define T_WATERLURKERLEADER   7
#define T_WRAITH              8
#define T_WRAITHBURIED        9
#define T_FIREBALL1          10
#define T_MANA1              11
#define T_MANA2              12
#define T_ITEMBOOTS          13
#define T_ITEMPORK           14
#define T_ITEMFLIGHT         15
#define T_ITEMSUMMON         16
#define T_ITEMTPORTOTHER     17
#define T_ITEMTELEPORT       18
#define T_BISHOP             19
#define T_ICEGOLEM           20
#define T_BRIDGE             21
#define T_DRAGONSKINBRACERS  22
#define T_ITEMHEALTHPOTION   23
#define T_ITEMHEALTHFLASK    24
#define T_ITEMHEALTHFULL     25
#define T_ITEMBOOSTMANA      26
#define T_FIGHTERAXE         27
#define T_FIGHTERHAMMER      28
#define T_FIGHTERSWORD1      29
#define T_FIGHTERSWORD2      30
#define T_FIGHTERSWORD3      31
#define T_CLERICSTAFF        32
#define T_CLERICHOLY1        33
#define T_CLERICHOLY2        34
#define T_CLERICHOLY3        35
#define T_MAGESHARDS         36
#define T_MAGESTAFF1         37
#define T_MAGESTAFF2         38
#define T_MAGESTAFF3         39
#define T_MORPHBLAST         40
#define T_ROCK1              41
#define T_ROCK2              42
#define T_ROCK3              43
#define T_DIRT1              44
#define T_DIRT2              45
#define T_DIRT3              46
#define T_DIRT4              47
#define T_DIRT5              48
#define T_DIRT6              49
#define T_ARROW              50
#define T_DART               51
#define T_POISONDART         52
#define T_RIPPERBALL         53
#define T_STAINEDGLASS1      54
#define T_STAINEDGLASS2      55
#define T_STAINEDGLASS3      56
#define T_STAINEDGLASS4      57
#define T_STAINEDGLASS5      58
#define T_STAINEDGLASS6      59
#define T_STAINEDGLASS7      60
#define T_STAINEDGLASS8      61
#define T_STAINEDGLASS9      62
#define T_STAINEDGLASS0      63
#define T_BLADE              64
#define T_ICESHARD           65
#define T_FLAME_SMALL        66
#define T_FLAME_LARGE        67
#define T_MESHARMOR          68
#define T_FALCONSHIELD       69
#define T_PLATINUMHELM       70
#define T_AMULETOFWARDING    71
#define T_ITEMFLECHETTE      72
#define T_ITEMTORCH          73
#define T_ITEMREPULSION      74
#define T_MANA3              75
#define T_PUZZSKULL          76
#define T_PUZZGEMBIG         77
#define T_PUZZGEMRED         78
#define T_PUZZGEMGREEN1      79
#define T_PUZZGEMGREEN2      80
#define T_PUZZGEMBLUE1       81
#define T_PUZZGEMBLUE2       82
#define T_PUZZBOOK1          83
#define T_PUZZBOOK2          84
#define T_METALKEY           85
#define T_SMALLMETALKEY      86
#define T_AXEKEY             87
#define T_FIREKEY            88
#define T_GREENKEY           89
#define T_EMERALDKEY         89 // ZDoom alternate name.
#define T_MACEKEY            90
#define T_SILVERKEY          91
#define T_RUSTYKEY           92
#define T_HORNKEY            93
#define T_SERPENTKEY         94
#define T_WATERDRIP          95
#define T_TEMPSMALLFLAME     96
#define T_PERMSMALLFLAME     97
#define T_TEMPLARGEFLAME	    98
#define T_PERMLARGEFLAME     99
#define T_DEMON_MASH        100
#define T_DEMON2_MASH       101
#define T_ETTIN_MASH        102
#define T_CENTAUR_MASH      103
#define T_THRUSTSPIKEUP     104
#define T_THRUSTSPIKEDOWN   105
#define T_FLESH_DRIP1       106
#define T_FLESH_DRIP2       107
#define T_SPARK_DRIP        108

#endif//__HEADER__T_HEXEN_H__

