//-----------------------------------------------------------------------------
//
// Copyright(C) 2012 David Hill
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//
//-----------------------------------------------------------------------------
//
// Skulltag spawn number definitions.
//
// Identifiers beginning with T_ followed by a capital letter are reserved for
// use by this header.
//
//-----------------------------------------------------------------------------

#ifndef __HEADER__T_SKULLTAG_H__
#define __HEADER__T_SKULLTAG_H__

// Skulltag was built on Doom and therefore inherits all spawn numbers.
#include <t_doom.h>


//----------------------------------------------------------------------------|
// Macros                                                                     |
//

#define T_DARKIMP         155
#define T_BLOODDEMON      156
#define T_SSGGUY          157
#define T_HECTEBUS        158
#define T_CACOLANTERN     159
#define T_PISTOL          162
#define T_GRENADELAUNCHER 163
#define T_RAILGUN         164
#define T_BFG10000        165
#define T_MAXHEALTHBONUS  166
#define T_MASARMORBONUS   167
#define T_REDARMOR        168
#define T_TURBOSPHERE     169
#define T_ANTIGRAVBELT    170
#define T_TIMEFREEZER     171
#define T_INFRAGOGGLES    172
#define T_INFRATRACKER    173
#define T_TRANSLUCENCY    174
#define T_DOOMSPHERE      175
#define T_RANDOMPOWERUP   176
#define T_BLUEFLAG        177
#define T_REDFLAG         178
#define T_WHITEFLAG       179
#define T_STRENGTH        180
#define T_RAGE            181
#define T_DRAIN           182
#define T_SPREAD          183
#define T_RESISTANCE      184
#define T_REGENERATION    185
#define T_PROSPERITY      186
#define T_REFLECTION      187
#define T_HIGHJUMP        188
#define T_HASTE           189
#define T_MINIGUN         214
#define T_BELPHEGOR       215
#define T_GRENADE         216
#define T_BFG10KSHOT      217
#define T_DARKIMPFIREBALL 218
#define T_CACOLANTERNSHOT 219
#define T_ABADDON         220
#define T_ABADDONSHOT     221

#endif//__HEADER__T_SKULLTAG_H__

